System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

represents a compiler error or a warning that has been returned by the compiler.

This class contains an inheritance demand at the class level that applies to all members. A is thrown when the derived class does not have full-trust permission. For details about inheritance demands, see Inheritance Demands.

Represents a compiler error or warning.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class using the specified file name, line, column, error number, and error text.

  The file name of the file that the compiler was compiling when it encountered the error.
  The line of the source of the error.
  The column of the source of the error.
  The error number of the error.
  The error message text.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int'

  The property can be set to zero for compilers that do not return column information.

  Gets or sets the column number where the source of the error occurs.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The property can contain a string of any length.

  Gets or sets the error number.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The property can be a string of any length.

  Gets or sets the text of the error message.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets or sets the file name of the source file that contains the code which caused the error.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool' To be added

  Gets or sets a value that indicates whether the error is a warning.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets or sets the line number where the source of the error occurs.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  This method is supported so objects can be treated as objects for simplified debugging output.

  Provides an implementation of Object's method.

  A string representation of the compiler error.